package test.org.seasar.framework;

import junit.framework.Test;
import junit.framework.TestSuite;
import test.org.seasar.framework.aop.AopAllTests;
import test.org.seasar.framework.beans.BeansAllTests;
import test.org.seasar.framework.container.ContainerAllTests;
import test.org.seasar.framework.exception.ExceptionAllTests;
import test.org.seasar.framework.message.MessageAllTests;
import test.org.seasar.framework.util.UtilAllTests;
import test.org.seasar.framework.xml.XmlAllTests;

/**
 * @author higa
 *
 */
public class FrameworkAllTests extends TestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(FrameworkAllTests.class);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for test.org.seasar.framework");
		//$JUnit-BEGIN$
		suite.addTest(AopAllTests.suite());
		suite.addTest(BeansAllTests.suite());
		suite.addTest(ContainerAllTests.suite());
		suite.addTest(ExceptionAllTests.suite());
		suite.addTest(MessageAllTests.suite());
		suite.addTest(UtilAllTests.suite());
		suite.addTest(XmlAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
